Webhooks
List webhook deliveries
GET
/webhook-deliveriesScope
webhooks:readAuth Bearer keyQuery parameters
cursorstringoptionallimitintegeroptionalendpoint_idstringoptionalstatusstringoptionalResponses
200Delivery list
json
{
"object": "list",
"data": [
{
"id": "whd_84ba0f13c5d9",
"object": "webhook_delivery",
"endpoint_id": "whe_6d21c9f0a3b7",
"event_id": "evt_b71f4d9c2a80",
"event_type": "transfer.completed",
"status": "delivered",
"attempts": 1,
"response_code": 200,
"last_error": null,
"next_attempt_at": null,
"delivered_at": "2026-08-30T09:15:02.441Z",
"created_at": "2026-08-30T09:15:01.988Z"
}
],
"next_cursor": "2026-08-30T09:15:01.988Z",
"has_more": true
}Errors
Errors use RFC 9457 problem details. Branch on code, and log request_id.
400Bad request401Unauthenticated403Forbidden409Idempotency conflict422Validation error429Rate limitedcURL
curl -X GET "https://business.boundlesspay.com/api/public/v1/webhook-deliveries" \ -H "Authorization: Bearer $BOUNDLESS_API_KEY"
